@echo off

REM Path to the workspace
set WORKSPACE=C:\ti\ccsv6.1.0.00104\workspace_ti-rtos

REM Name of the ccs project in the workspace
set PROJROOT=uartlogging
REM set PROJNAME=%PROJROOT%_StellarisLM4F232H5QD
set PROJNAME=%PROJROOT%_MSP430F5529

REM Location of TI-RTOS, XDCTools and versions of products
set XDC_INSTALL_DIR=C:\ti\ccsv6.1.0.00104\xdctools_3_31_00_24_core
set TIRTOS_INSTALL_DIR=C:/ti/ccsv6.1.0.00104
REM set TIRTOS_VER=tirtos_tivac_2_00_00_12_eng
set TIRTOS_VER=tirtos_msp43x_2_12_01_28_eng
set UIA_VER=uia_2_00_02_39
set BIOS_VER=bios_6_41_03_51


REM CPU variant
REM set ext=em3
REM set ext=em4f
set rtaxml=msp430f5529
set ext=e430X

REM COM Port on which the dev board is enumerated with
set COM=COM31

REM Paths to products
set UIA_DIR=%TIRTOS_INSTALL_DIR%\%TIRTOS_VER%\products\%UIA_VER%
set BIOS_DIR=%TIRTOS_INSTALL_DIR%\%TIRTOS_VER%\products\%BIOS_VER%

REM Add the java bin directory into the PATH env variable
setlocal
set PATH=C:\Program Files (x86)\Java\jre7\bin;%PATH%

REM Examines data directly from the UART (COM port).  For MSP430, set buad rate to 9600.
%XDC_INSTALL_DIR%\xs.exe ^
--cp "c:\Program Files (x86)\Java\jre7\lib\ext\RXTXcomm.jar" ^
--xdcpath %UIA_DIR%\packages;%BIOS_DIR%\packages ^
-f %UIA_DIR%\packages\ti\uia\scripts\UIAHostFromUART.xs ^
-p %WORKSPACE%\%PROJNAME%\Debug\%PROJNAME%.out ^
-r %WORKSPACE%\%PROJNAME%\Debug\configPkg\package\cfg\%PROJROOT%_%rtaxml%_p%ext%.rta.xml ^
-c %COM% ^
-b 9600 ^
-s %WORKSPACE%\%PROJNAME%

REM Examine data file from a binary Tera Term log file
REM ..\xdctools_3_25_00_48\xs.exe ^
REM --cp "c:\Program Files\Java\jre7\lib\ext\RXTXcomm.jar" ^
REM --xdcpath products\uia_1_03_00_02\packages\ ^
REM -f products\uia_1_03_00_02\packages\ti\uia\scripts\UIAHostFromUART.xs ^
REM -p %WORKSPACE%\%PROJNAME%\Debug\%PROJNAME%.out ^
REM -r %WORKSPACE%\%PROJNAME%\Debug\configPkg\package\cfg\%PROJROOT%_p%ext%.rta.xml ^
REM -d C:\Users\A0273433\Desktop\teraterm.log ^
REM -s %WORKSPACE%\%PROJNAME%
